diff --git a/media/webrtc/trunk/testing/gtest/scripts/upload.py b/media/webrtc/trunk/testing/gtest/scripts/upload.py
index 6e6f9a1471..5f55284505 100755
--- a/media/webrtc/trunk/testing/gtest/scripts/upload.py
+++ b/media/webrtc/trunk/testing/gtest/scripts/upload.py
@@ -31,7 +31,7 @@ against by using the '--rev' option.
 # This code is derived from appcfg.py in the App Engine SDK (open source),
 # and from ASPN recipe #146306.
 
-import cookielib
+import six.moves.http_cookiejar
 import getpass
 import logging
 import md5
@@ -42,9 +42,10 @@ import re
 import socket
 import subprocess
 import sys
-import urllib
-import urllib2
-import urlparse
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
+import six.moves.urllib.parse
+import six
 
 try:
   import readline
@@ -75,19 +76,19 @@ def GetEmail(prompt):
   last_email = ""
   if os.path.exists(last_email_file_name):
     try:
-      last_email_file = open(last_email_file_name, "r")
+      last_email_file = open(last_email_file_name)
       last_email = last_email_file.readline().strip("\n")
       last_email_file.close()
       prompt += " [%s]" % last_email
-    except IOError, e:
+    except OSError as e:
       pass
-  email = raw_input(prompt + ": ").strip()
+  email = input(prompt + ": ").strip()
   if email:
     try:
       last_email_file = open(last_email_file_name, "w")
       last_email_file.write(email)
       last_email_file.close()
-    except IOError, e:
+    except OSError as e:
       pass
   else:
     email = last_email
@@ -103,25 +104,25 @@ def StatusUpdate(msg):
     msg: The string to print.
   """
   if verbosity > 0:
-    print msg
+    print(msg)
 
 
 def ErrorExit(msg):
   """Print an error message to stderr and exit."""
-  print >>sys.stderr, msg
+  print(msg, file=sys.stderr)
   sys.exit(1)
 
 
-class ClientLoginError(urllib2.HTTPError):
+class ClientLoginError(six.moves.urllib.error.HTTPError):
   """Raised to indicate there was an error authenticating with ClientLogin."""
 
   def __init__(self, url, code, msg, headers, args):
-    urllib2.HTTPError.__init__(self, url, code, msg, headers, None)
+    six.moves.urllib.error.HTTPError.__init__(self, url, code, msg, headers, None)
     self.args = args
     self.reason = args["Error"]
 
 
-class AbstractRpcServer(object):
+class AbstractRpcServer:
   """Provides a common interface for a simple RPC server."""
 
   def __init__(self, host, auth_function, host_override=None, extra_headers={},
@@ -162,10 +163,10 @@ class AbstractRpcServer(object):
   def _CreateRequest(self, url, data=None):
     """Creates a new urllib request."""
     logging.debug("Creating request for: '%s' with payload:\n%s", url, data)
-    req = urllib2.Request(url, data=data)
+    req = six.moves.urllib.request.Request(url, data=data)
     if self.host_override:
       req.add_header("Host", self.host_override)
-    for key, value in self.extra_headers.iteritems():
+    for key, value in self.extra_headers.items():
       req.add_header(key, value)
     return req
 
@@ -189,7 +190,7 @@ class AbstractRpcServer(object):
       account_type = "HOSTED"
     req = self._CreateRequest(
         url="https://www.google.com/accounts/ClientLogin",
-        data=urllib.urlencode({
+        data=six.moves.urllib.parse.urlencode({
             "Email": email,
             "Passwd": password,
             "service": "ah",
@@ -203,7 +204,7 @@ class AbstractRpcServer(object):
       response_dict = dict(x.split("=")
                            for x in response_body.split("\n") if x)
       return response_dict["Auth"]
-    except urllib2.HTTPError, e:
+    except six.moves.urllib.error.HTTPError as e:
       if e.code == 403:
         body = e.read()
         response_dict = dict(x.split("=", 1) for x in body.split("\n") if x)
@@ -225,14 +226,14 @@ class AbstractRpcServer(object):
     continue_location = "http://localhost/"
     args = {"continue": continue_location, "auth": auth_token}
     req = self._CreateRequest("http://%s/_ah/login?%s" %
-                              (self.host, urllib.urlencode(args)))
+                              (self.host, six.moves.urllib.parse.urlencode(args)))
     try:
       response = self.opener.open(req)
-    except urllib2.HTTPError, e:
+    except six.moves.urllib.error.HTTPError as e:
       response = e
     if (response.code != 302 or
         response.info()["location"] != continue_location):
-      raise urllib2.HTTPError(req.get_full_url(), response.code, response.msg,
+      raise six.moves.urllib.error.HTTPError(req.get_full_url(), response.code, response.msg,
                               response.headers, response.fp)
     self.authenticated = True
 
@@ -255,34 +256,34 @@ class AbstractRpcServer(object):
       credentials = self.auth_function()
       try:
         auth_token = self._GetAuthToken(credentials[0], credentials[1])
-      except ClientLoginError, e:
+      except ClientLoginError as e:
         if e.reason == "BadAuthentication":
-          print >>sys.stderr, "Invalid username or password."
+          print("Invalid username or password.", file=sys.stderr)
           continue
         if e.reason == "CaptchaRequired":
-          print >>sys.stderr, (
+          print((
               "Please go to\n"
               "https://www.google.com/accounts/DisplayUnlockCaptcha\n"
-              "and verify you are a human.  Then try again.")
+              "and verify you are a human.  Then try again."), file=sys.stderr)
           break
         if e.reason == "NotVerified":
-          print >>sys.stderr, "Account not verified."
+          print("Account not verified.", file=sys.stderr)
           break
         if e.reason == "TermsNotAgreed":
-          print >>sys.stderr, "User has not agreed to TOS."
+          print("User has not agreed to TOS.", file=sys.stderr)
           break
         if e.reason == "AccountDeleted":
-          print >>sys.stderr, "The user account has been deleted."
+          print("The user account has been deleted.", file=sys.stderr)
           break
         if e.reason == "AccountDisabled":
-          print >>sys.stderr, "The user account has been disabled."
+          print("The user account has been disabled.", file=sys.stderr)
           break
         if e.reason == "ServiceDisabled":
-          print >>sys.stderr, ("The user's access to the service has been "
-                               "disabled.")
+          print(("The user's access to the service has been "
+                               "disabled."), file=sys.stderr)
           break
         if e.reason == "ServiceUnavailable":
-          print >>sys.stderr, "The service is not available; try again later."
+          print("The service is not available; try again later.", file=sys.stderr)
           break
         raise
       self._GetAuthCookie(auth_token)
@@ -317,9 +318,9 @@ class AbstractRpcServer(object):
       while True:
         tries += 1
         args = dict(kwargs)
-        url = "http://%s%s" % (self.host, request_path)
+        url = "http://{}{}".format(self.host, request_path)
         if args:
-          url += "?" + urllib.urlencode(args)
+          url += "?" + six.moves.urllib.parse.urlencode(args)
         req = self._CreateRequest(url=url, data=payload)
         req.add_header("Content-Type", content_type)
         try:
@@ -327,7 +328,7 @@ class AbstractRpcServer(object):
           response = f.read()
           f.close()
           return response
-        except urllib2.HTTPError, e:
+        except six.moves.urllib.error.HTTPError as e:
           if tries > 3:
             raise
           elif e.code == 401:
@@ -346,7 +347,7 @@ class HttpRpcServer(AbstractRpcServer):
 
   def _Authenticate(self):
     """Save the cookie jar after authentication."""
-    super(HttpRpcServer, self)._Authenticate()
+    super()._Authenticate()
     if self.save_cookies:
       StatusUpdate("Saving authentication cookies to %s" % self.cookie_file)
       self.cookie_jar.save()
@@ -357,35 +358,35 @@ class HttpRpcServer(AbstractRpcServer):
     Returns:
       A urllib2.OpenerDirector object.
     """
-    opener = urllib2.OpenerDirector()
-    opener.add_handler(urllib2.ProxyHandler())
-    opener.add_handler(urllib2.UnknownHandler())
-    opener.add_handler(urllib2.HTTPHandler())
-    opener.add_handler(urllib2.HTTPDefaultErrorHandler())
-    opener.add_handler(urllib2.HTTPSHandler())
+    opener = six.moves.urllib.request.OpenerDirector()
+    opener.add_handler(six.moves.urllib.request.ProxyHandler())
+    opener.add_handler(six.moves.urllib.request.UnknownHandler())
+    opener.add_handler(six.moves.urllib.request.HTTPHandler())
+    opener.add_handler(six.moves.urllib.request.HTTPDefaultErrorHandler())
+    opener.add_handler(six.moves.urllib.request.HTTPSHandler())
     opener.add_handler(urllib2.HTTPErrorProcessor())
     if self.save_cookies:
       self.cookie_file = os.path.expanduser("~/.codereview_upload_cookies")
-      self.cookie_jar = cookielib.MozillaCookieJar(self.cookie_file)
+      self.cookie_jar = six.moves.http_cookiejar.MozillaCookieJar(self.cookie_file)
       if os.path.exists(self.cookie_file):
         try:
           self.cookie_jar.load()
           self.authenticated = True
           StatusUpdate("Loaded authentication cookies from %s" %
                        self.cookie_file)
-        except (cookielib.LoadError, IOError):
+        except (six.moves.http_cookiejar.LoadError, OSError):
           # Failed to load cookies - just ignore them.
           pass
       else:
         # Create an empty cookie file with mode 600
-        fd = os.open(self.cookie_file, os.O_CREAT, 0600)
+        fd = os.open(self.cookie_file, os.O_CREAT, 0o600)
         os.close(fd)
       # Always chmod the cookie file
-      os.chmod(self.cookie_file, 0600)
+      os.chmod(self.cookie_file, 0o600)
     else:
       # Don't save cookies across runs of update.py.
-      self.cookie_jar = cookielib.CookieJar()
-    opener.add_handler(urllib2.HTTPCookieProcessor(self.cookie_jar))
+      self.cookie_jar = six.moves.http_cookiejar.CookieJar()
+    opener.add_handler(six.moves.urllib.request.HTTPCookieProcessor(self.cookie_jar))
     return opener
 
 
@@ -560,7 +561,7 @@ def RunShellWithReturnCode(command, print_output=False,
       line = p.stdout.readline()
       if not line:
         break
-      print line.strip("\n")
+      print(line.strip("\n"))
       output_array.append(line)
     output = "".join(output_array)
   else:
@@ -568,7 +569,7 @@ def RunShellWithReturnCode(command, print_output=False,
   p.wait()
   errout = p.stderr.read()
   if print_output and errout:
-    print >>sys.stderr, errout
+    print(errout, file=sys.stderr)
   p.stdout.close()
   p.stderr.close()
   return output, p.returncode
@@ -579,13 +580,13 @@ def RunShell(command, silent_ok=False, universal_newlines=True,
   data, retcode = RunShellWithReturnCode(command, print_output,
                                          universal_newlines)
   if retcode:
-    ErrorExit("Got error status from %s:\n%s" % (command, data))
+    ErrorExit("Got error status from {}:\n{}".format(command, data))
   if not silent_ok and not data:
     ErrorExit("No output from %s" % command)
   return data
 
 
-class VersionControlSystem(object):
+class VersionControlSystem:
   """Abstract base class providing an interface to the VCS."""
 
   def __init__(self, options):
@@ -614,11 +615,11 @@ class VersionControlSystem(object):
     """Show an "are you sure?" prompt if there are unknown files."""
     unknown_files = self.GetUnknownFiles()
     if unknown_files:
-      print "The following files are not added to version control:"
+      print("The following files are not added to version control:")
       for line in unknown_files:
-        print line
+        print(line)
       prompt = "Are you sure to continue?(y/N) "
-      answer = raw_input(prompt).strip()
+      answer = input(prompt).strip()
       if answer != "y":
         ErrorExit("User aborted")
 
@@ -670,13 +671,13 @@ class VersionControlSystem(object):
       else:
         type = "current"
       if len(content) > MAX_UPLOAD_SIZE:
-        print ("Not uploading the %s file for %s because it's too large." %
+        print("Not uploading the %s file for %s because it's too large." %
                (type, filename))
         file_too_large = True
         content = ""
       checksum = md5.new(content).hexdigest()
       if options.verbose > 0 and not file_too_large:
-        print "Uploading %s file for %s" % (type, filename)
+        print("Uploading {} file for {}".format(type, filename))
       url = "/%d/upload_content/%d/%d" % (int(issue), int(patchset), file_id)
       form_fields = [("filename", filename),
                      ("status", status),
@@ -722,7 +723,7 @@ class SubversionVCS(VersionControlSystem):
   """Implementation of the VersionControlSystem interface for Subversion."""
 
   def __init__(self, options):
-    super(SubversionVCS, self).__init__(options)
+    super().__init__(options)
     if self.options.revision:
       match = re.match(r"(\d+)(:(\d+))?", self.options.revision)
       if not match:
@@ -755,8 +756,8 @@ class SubversionVCS(VersionControlSystem):
       words = line.split()
       if len(words) == 2 and words[0] == "URL:":
         url = words[1]
-        scheme, netloc, path, params, query, fragment = urlparse.urlparse(url)
-        username, netloc = urllib.splituser(netloc)
+        scheme, netloc, path, params, query, fragment = six.moves.urllib.parse.urlparse(url)
+        username, netloc = six.moves.urllib.parse.splituser(netloc)
         if username:
           logging.info("Removed username from base URL")
         if netloc.endswith("svn.python.org"):
@@ -774,12 +775,12 @@ class SubversionVCS(VersionControlSystem):
           logging.info("Guessed CollabNet base = %s", base)
         elif netloc.endswith(".googlecode.com"):
           path = path + "/"
-          base = urlparse.urlunparse(("http", netloc, path, params,
+          base = six.moves.urllib.parse.urlunparse(("http", netloc, path, params,
                                       query, fragment))
           logging.info("Guessed Google Code base = %s", base)
         else:
           path = path + "/"
-          base = urlparse.urlunparse((scheme, netloc, path, params,
+          base = six.moves.urllib.parse.urlunparse((scheme, netloc, path, params,
                                       query, fragment))
           logging.info("Guessed base = %s", base)
         return base
@@ -826,7 +827,7 @@ class SubversionVCS(VersionControlSystem):
 
     def repl(m):
        if m.group(2):
-         return "$%s::%s$" % (m.group(1), " " * len(m.group(3)))
+         return "${}::{}$".format(m.group(1), " " * len(m.group(3)))
        return "$%s$" % m.group(1)
     keywords = [keyword
                 for name in keyword_str.split(" ")
@@ -918,7 +919,7 @@ class SubversionVCS(VersionControlSystem):
           (status[0] == " " and status[1] == "M")):  # Property change.
       args = []
       if self.options.revision:
-        url = "%s/%s@%s" % (self.svn_base, filename, self.rev_start)
+        url = "{}/{}@{}".format(self.svn_base, filename, self.rev_start)
       else:
         # Don't change filename, it's needed later.
         url = filename
@@ -941,7 +942,7 @@ class SubversionVCS(VersionControlSystem):
             if not self.rev_end:
               new_content = self.ReadFile(filename)
             else:
-              url = "%s/%s@%s" % (self.svn_base, filename, self.rev_end)
+              url = "{}/{}@{}".format(self.svn_base, filename, self.rev_end)
               new_content = RunShell(["svn", "cat", url],
                                      universal_newlines=True, silent_ok=True)
         else:
@@ -957,7 +958,7 @@ class SubversionVCS(VersionControlSystem):
         if self.rev_start:
           # "svn cat -r REV delete_file.txt" doesn't work. cat requires
           # the full URL with "@REV" appended instead of using "-r" option.
-          url = "%s/%s@%s" % (self.svn_base, filename, self.rev_start)
+          url = "{}/{}@{}".format(self.svn_base, filename, self.rev_start)
           base_content = RunShell(["svn", "cat", url],
                                   universal_newlines=universal_newlines,
                                   silent_ok=True)
@@ -968,7 +969,7 @@ class SubversionVCS(VersionControlSystem):
         if not is_binary:
           args = []
           if self.rev_start:
-            url = "%s/%s@%s" % (self.svn_base, filename, self.rev_start)
+            url = "{}/{}@{}".format(self.svn_base, filename, self.rev_start)
           else:
             url = filename
             args += ["-r", "BASE"]
@@ -986,7 +987,7 @@ class GitVCS(VersionControlSystem):
   """Implementation of the VersionControlSystem interface for Git."""
 
   def __init__(self, options):
-    super(GitVCS, self).__init__(options)
+    super().__init__(options)
     # Map of filename -> hash of base file.
     self.base_hashes = {}
 
@@ -1043,7 +1044,7 @@ class MercurialVCS(VersionControlSystem):
   """Implementation of the VersionControlSystem interface for Mercurial."""
 
   def __init__(self, options, repo_dir):
-    super(MercurialVCS, self).__init__(options)
+    super().__init__(options)
     # Absolute path to repository (we can be in a subdir)
     self.repo_dir = os.path.normpath(repo_dir)
     # Compute the subdir
@@ -1069,7 +1070,7 @@ class MercurialVCS(VersionControlSystem):
     svndiff = []
     filecount = 0
     for line in data.splitlines():
-      m = re.match("diff --git a/(\S+) b/(\S+)", line)
+      m = re.match(r"diff --git a/(\S+) b/(\S+)", line)
       if m:
         # Modify line to make it look like as it comes from svn diff.
         # With this modification no changes on the server side are required
@@ -1187,7 +1188,7 @@ def UploadSeparatePatches(issue, rpc_server, patchset, data, options):
   rv = []
   for patch in patches:
     if len(patch[1]) > MAX_UPLOAD_SIZE:
-      print ("Not uploading the patch for " + patch[0] +
+      print("Not uploading the patch for " + patch[0] +
              " because the file is too large.")
       continue
     form_fields = [("filename", patch[0])]
@@ -1196,7 +1197,7 @@ def UploadSeparatePatches(issue, rpc_server, patchset, data, options):
     files = [("data", "data.diff", patch[1])]
     ctype, body = EncodeMultipartFormData(form_fields, files)
     url = "/%d/upload_patch/%d" % (int(issue), int(patchset))
-    print "Uploading patch for " + patch[0]
+    print("Uploading patch for " + patch[0])
     response_body = rpc_server.Send(url, body, content_type=ctype)
     lines = response_body.splitlines()
     if not lines or lines[0] != "OK":
@@ -1223,7 +1224,8 @@ def GuessVCS(options):
     out, returncode = RunShellWithReturnCode(["hg", "root"])
     if returncode == 0:
       return MercurialVCS(options, out.strip())
-  except OSError, (errno, message):
+  except OSError as xxx_todo_changeme:
+    (errno, message) = xxx_todo_changeme.args
     if errno != 2:  # ENOENT -- they don't have hg installed.
       raise
 
@@ -1239,12 +1241,13 @@ def GuessVCS(options):
                                               "--is-inside-work-tree"])
     if returncode == 0:
       return GitVCS(options)
-  except OSError, (errno, message):
+  except OSError as xxx_todo_changeme1:
+    (errno, message) = xxx_todo_changeme1.args
     if errno != 2:  # ENOENT -- they don't have git installed.
       raise
 
-  ErrorExit(("Could not guess version control system. "
-             "Are you in a working copy directory?"))
+  ErrorExit("Could not guess version control system. "
+             "Are you in a working copy directory?")
 
 
 def RealMain(argv, data=None):
@@ -1286,12 +1289,12 @@ def RealMain(argv, data=None):
     data = vcs.GenerateDiff(args)
   files = vcs.GetBaseFiles(data)
   if verbosity >= 1:
-    print "Upload server:", options.server, "(change with -s/--server)"
+    print("Upload server:", options.server, "(change with -s/--server)")
   if options.issue:
     prompt = "Message describing this patch set: "
   else:
     prompt = "New issue subject: "
-  message = options.message or raw_input(prompt).strip()
+  message = options.message or input(prompt).strip()
   if not message:
     ErrorExit("A non-empty message is required")
   rpc_server = GetRpcServer(options)
@@ -1316,7 +1319,7 @@ def RealMain(argv, data=None):
   if options.description_file:
     if options.description:
       ErrorExit("Can't specify description and description_file")
-    file = open(options.description_file, 'r')
+    file = open(options.description_file)
     description = file.read()
     file.close()
   if description:
@@ -1324,7 +1327,7 @@ def RealMain(argv, data=None):
   # Send a hash of all the base file so the server can determine if a copy
   # already exists in an earlier patchset.
   base_hashes = ""
-  for file, info in files.iteritems():
+  for file, info in files.items():
     if not info[0] is None:
       checksum = md5.new(info[0]).hexdigest()
       if base_hashes:
@@ -1338,7 +1341,7 @@ def RealMain(argv, data=None):
   if not options.download_base:
     form_fields.append(("content_upload", "1"))
   if len(data) > MAX_UPLOAD_SIZE:
-    print "Patch is large, so uploading file patches separately."
+    print("Patch is large, so uploading file patches separately.")
     uploaded_diff_file = []
     form_fields.append(("separate_patches", "1"))
   else:
@@ -1378,7 +1381,7 @@ def main():
   try:
     RealMain(sys.argv)
   except KeyboardInterrupt:
-    print
+    print()
     StatusUpdate("Interrupted.")
     sys.exit(1)
 
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_break_on_failure_unittest.py b/media/webrtc/trunk/testing/gtest/test/gtest_break_on_failure_unittest.py
index c819183312..f36abe3381 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_break_on_failure_unittest.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_break_on_failure_unittest.py
@@ -145,7 +145,7 @@ class GTestBreakOnFailureUnitTest(gtest_test_utils.TestCase):
     msg = ('when %s%s, an assertion failure in "%s" %s cause a seg-fault.' %
            (BREAK_ON_FAILURE_ENV_VAR, env_var_value_msg, ' '.join(command),
             should_or_not))
-    self.assert_(has_seg_fault == expect_seg_fault, msg)
+    self.assertTrue(has_seg_fault == expect_seg_fault, msg)
 
   def testDefaultBehavior(self):
     """Tests the behavior of the default mode."""
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_catch_exceptions_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_catch_exceptions_test.py
index d7ef10eb06..2269adc55b 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_catch_exceptions_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_catch_exceptions_test.py
@@ -74,21 +74,21 @@ if SUPPORTS_SEH_EXCEPTIONS:
 
 
     def TestSehExceptions(self, test_output):
-      self.assert_('SEH exception with code 0x2a thrown '
+      self.assertTrue('SEH exception with code 0x2a thrown '
                    'in the test fixture\'s constructor'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown '
+      self.assertTrue('SEH exception with code 0x2a thrown '
                    'in the test fixture\'s destructor'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown in SetUpTestCase()'
+      self.assertTrue('SEH exception with code 0x2a thrown in SetUpTestCase()'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown in TearDownTestCase()'
+      self.assertTrue('SEH exception with code 0x2a thrown in TearDownTestCase()'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown in SetUp()'
+      self.assertTrue('SEH exception with code 0x2a thrown in SetUp()'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown in TearDown()'
+      self.assertTrue('SEH exception with code 0x2a thrown in TearDown()'
                    in test_output)
-      self.assert_('SEH exception with code 0x2a thrown in the test body'
+      self.assertTrue('SEH exception with code 0x2a thrown in the test body'
                    in test_output)
 
     def testCatchesSehExceptionsWithCxxExceptionsEnabled(self):
@@ -108,11 +108,11 @@ class CatchCxxExceptionsTest(gtest_test_utils.TestCase):
   """
 
   def testCatchesCxxExceptionsInFixtureConstructor(self):
-    self.assert_('C++ exception with description '
+    self.assertTrue('C++ exception with description '
                  '"Standard C++ exception" thrown '
                  'in the test fixture\'s constructor'
                  in EX_BINARY_OUTPUT)
-    self.assert_('unexpected' not in EX_BINARY_OUTPUT,
+    self.assertTrue('unexpected' not in EX_BINARY_OUTPUT,
                  'This failure belongs in this test only if '
                  '"CxxExceptionInConstructorTest" (no quotes) '
                  'appears on the same line as words "called unexpectedly"')
@@ -121,87 +121,87 @@ class CatchCxxExceptionsTest(gtest_test_utils.TestCase):
       EX_BINARY_OUTPUT):
 
     def testCatchesCxxExceptionsInFixtureDestructor(self):
-      self.assert_('C++ exception with description '
+      self.assertTrue('C++ exception with description '
                    '"Standard C++ exception" thrown '
                    'in the test fixture\'s destructor'
                    in EX_BINARY_OUTPUT)
-      self.assert_('CxxExceptionInDestructorTest::TearDownTestCase() '
+      self.assertTrue('CxxExceptionInDestructorTest::TearDownTestCase() '
                    'called as expected.'
                    in EX_BINARY_OUTPUT)
 
   def testCatchesCxxExceptionsInSetUpTestCase(self):
-    self.assert_('C++ exception with description "Standard C++ exception"'
+    self.assertTrue('C++ exception with description "Standard C++ exception"'
                  ' thrown in SetUpTestCase()'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInConstructorTest::TearDownTestCase() '
+    self.assertTrue('CxxExceptionInConstructorTest::TearDownTestCase() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTestCaseTest constructor '
+    self.assertTrue('CxxExceptionInSetUpTestCaseTest constructor '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTestCaseTest destructor '
+    self.assertTrue('CxxExceptionInSetUpTestCaseTest destructor '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTestCaseTest::SetUp() '
+    self.assertTrue('CxxExceptionInSetUpTestCaseTest::SetUp() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTestCaseTest::TearDown() '
+    self.assertTrue('CxxExceptionInSetUpTestCaseTest::TearDown() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTestCaseTest test body '
+    self.assertTrue('CxxExceptionInSetUpTestCaseTest test body '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
 
   def testCatchesCxxExceptionsInTearDownTestCase(self):
-    self.assert_('C++ exception with description "Standard C++ exception"'
+    self.assertTrue('C++ exception with description "Standard C++ exception"'
                  ' thrown in TearDownTestCase()'
                  in EX_BINARY_OUTPUT)
 
   def testCatchesCxxExceptionsInSetUp(self):
-    self.assert_('C++ exception with description "Standard C++ exception"'
+    self.assertTrue('C++ exception with description "Standard C++ exception"'
                  ' thrown in SetUp()'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTest::TearDownTestCase() '
+    self.assertTrue('CxxExceptionInSetUpTest::TearDownTestCase() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTest destructor '
+    self.assertTrue('CxxExceptionInSetUpTest destructor '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInSetUpTest::TearDown() '
+    self.assertTrue('CxxExceptionInSetUpTest::TearDown() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('unexpected' not in EX_BINARY_OUTPUT,
+    self.assertTrue('unexpected' not in EX_BINARY_OUTPUT,
                  'This failure belongs in this test only if '
                  '"CxxExceptionInSetUpTest" (no quotes) '
                  'appears on the same line as words "called unexpectedly"')
 
   def testCatchesCxxExceptionsInTearDown(self):
-    self.assert_('C++ exception with description "Standard C++ exception"'
+    self.assertTrue('C++ exception with description "Standard C++ exception"'
                  ' thrown in TearDown()'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInTearDownTest::TearDownTestCase() '
+    self.assertTrue('CxxExceptionInTearDownTest::TearDownTestCase() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInTearDownTest destructor '
+    self.assertTrue('CxxExceptionInTearDownTest destructor '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
 
   def testCatchesCxxExceptionsInTestBody(self):
-    self.assert_('C++ exception with description "Standard C++ exception"'
+    self.assertTrue('C++ exception with description "Standard C++ exception"'
                  ' thrown in the test body'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInTestBodyTest::TearDownTestCase() '
+    self.assertTrue('CxxExceptionInTestBodyTest::TearDownTestCase() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInTestBodyTest destructor '
+    self.assertTrue('CxxExceptionInTestBodyTest destructor '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
-    self.assert_('CxxExceptionInTestBodyTest::TearDown() '
+    self.assertTrue('CxxExceptionInTestBodyTest::TearDown() '
                  'called as expected.'
                  in EX_BINARY_OUTPUT)
 
   def testCatchesNonStdCxxExceptions(self):
-    self.assert_('Unknown C++ exception thrown in the test body'
+    self.assertTrue('Unknown C++ exception thrown in the test body'
                  in EX_BINARY_OUTPUT)
 
   def testUnhandledCxxExceptionsAbortTheProgram(self):
@@ -214,9 +214,9 @@ class CatchCxxExceptionsTest(gtest_test_utils.TestCase):
          NO_CATCH_EXCEPTIONS_FLAG,
          FITLER_OUT_SEH_TESTS_FLAG]).output
 
-    self.assert_('Unhandled C++ exception terminating the program'
+    self.assertTrue('Unhandled C++ exception terminating the program'
                  in uncaught_exceptions_ex_binary_output)
-    self.assert_('unexpected' not in uncaught_exceptions_ex_binary_output)
+    self.assertTrue('unexpected' not in uncaught_exceptions_ex_binary_output)
 
 
 if __name__ == '__main__':
